package com.chenyang.druid.sql.dialect.mysql.ast.statement;

import com.chenyang.druid.sql.dialect.mysql.visitor.MySqlASTVisitor;

public class MysqlShowStcStatement extends MySqlStatementImpl implements MySqlShowStatement {
   private boolean full = false;
   private boolean isHis = false;

   public void accept0(MySqlASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }

   public boolean isFull() {
      return this.full;
   }

   public void setFull(boolean full) {
      this.full = full;
   }

   public boolean isHis() {
      return this.isHis;
   }

   public void setHis(boolean his) {
      this.isHis = his;
   }
}
